Bug 857699 - canon mx870 printing does not work
canon mx870 printing does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gutenprint (Show other bugs)
16
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 07:04 EDT by Nineth
Modified: 2013-02-13 18:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:55:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nineth 2012-09-16 07:04:52 EDT
Description of problem:

Canon usb printer drivers available with gutenprint-cups don't work. I have a Canon PIXMA mx876, and giving the print command submits the job to the queue but the printer doesn't really print anything. Test page printing is the only thing that works. However, the drivers from the Canon Europe website do work correctly (cnijfilter-mx870series-3.30-1-i386-rpm worked for me)


Version-Release number of selected component (if applicable):
gutenprint-cups-5.2.9-1.fc16.x86_64

How reproducible:

Always

Steps to Reproduce:
1. Print a page
  
Actual results:
1. Printer doesn't print anything

Expected results:


Additional info:
Comment 1 Tim Waugh 2012-09-17 07:50:03 EDT
Please follow the troubleshooting procedure outlined here:
https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter

You should end up with a troubleshoot.txt file which you should attach to this bug report.
Comment 2 Ali Akcaagac 2012-09-24 08:17:02 EDT
I bet this is somehow related to the issues reported recently under https://bugzilla.redhat.com/show_bug.cgi?id=847923 and the changes from cups 1.5.2-x to 1.5.4-x
Comment 3 Jiri Popelka 2012-09-24 08:31:57 EDT
I'm not so sure. Bug #847923 is about problems with usb backend, while reporter of this BZ claims that 'the drivers from the Canon Europe website do work correctly'.
Comment 5 Jiri Popelka 2012-12-11 07:34:08 EST
Support for Canon PIXMA MX870 has been added in gutenprint-5.2.7 and was marked as EXPERIMENTAL, which AFAICT means untested. The current status [1] doesn't show EXPERIMENTAL anymore, but you should ask directly gutenprint developers at gimp-print-devel mailing list [2]. Maybe you'll be asked to provide information to fix the driver.

[1] http://gimp-print.sourceforge.net/p_Supported_Printers.php
[2] http://gimp-print.sourceforge.net/p_Mailing_Lists.php
Comment 6 Jiri Popelka 2012-12-11 07:35:37 EST
Anyway, until you provide the information you've been asked in comment #1, we can't do more here.
Comment 7 Fedora End Of Life 2013-01-16 15:31:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 18:55:32 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.